package com.tenlionsoft.aimz_k.model

import androidx.room.Dao
import androidx.room.Query

@Dao
interface MsgCategoryDao {
    /**
     * 查询与单人的聊天记录  SELECT id FROM db_msg WHERE `from`=(:form) AND `to`=(:to) OR `from`=(:to) AND `to`=(:form) ORDER BY timestamp DESC LIMIT (((:page)-1)*(:pageSize)),(:pageSize)
     */
    @Query("SELECT * FROM db_category t1 ORDER by t1.timestamp ASC LIMIT (((:page)-1)*(:pageSize)),(:pageSize)")
    fun getCategoryPage(
        pageSize: Int,
        page: Int
    ): List<MsgCategoryBean?>?
}