package com.tenlionsoft.aimz_k.model

data class AppTokenUser(
    val deptIds: List<Any>,
    val loginUserType: String,
    val posIds: List<Any>,
    val roleIds: List<String>,
    val user: User
)

data class User(
    val avatar: String,
    val email: String,
    val id: String,
    val isAccountExpired: Int,
    val isAccountLocked: Int,
    val isDelete: Int,
    val isEnable: Int,
    val isPasswordExpired: Int,
    val nickname: String,
    val password: String,
    val phone: String,
    val tenantId: String,
    val userId: String,
    val username: String
)